declare module "*.vue" {
  import Vue from "vue";
  export default Vue;
}
declare module "element-ui/lib/locale/lang/*" {
  export const elementLocale: any;
}

interface IAny {
  [index: string]: any;
}
interface IError {
  msg: string;
  code: number;
}
interface IBaseResult<T = any> extends IError {
  data: T;
}
interface IRequest {
  <T = any>(url: string, data?: any): Promise<IResult<T>>;
}

interface IResult<T> extends Array<IError | null | T> {
  0: IError | null;
  1: T;
  length: 2;
}

interface IUser {}
